{% extends 'base.html' %}

{% block title %}
    Project Details
{% endblock title %}
{% block content %}
    <main>
        <div>
            <h1>Project:</h1>
            <p class="fs-6"></p>{{ project_details.name }}</p>
            <h4>Description:</h4>
            <p class="fs-6">{{ project_details.description }}</p>
            <h4>Tasks</h4>
            {% if project_details.tasks.all|length > 0 %}
                <table class="table table-striped">
                    <thead>
                        <tr>
                            <th>Name</th>
                            <th>Assignee</th>
                            <th>Start Date</th>
                            <th>Due Date</th>
                            <th>In Progress</th>
                            <th>Is Complete</th>
                        </tr>
                    </thead>
                    <tbody>
                        {% for task in project_details.tasks.all %}
                            <tr>
                                <td>{{ task.name }}</td>
                                <td>{{ task.assignee }}</td>
                                <td>{{ task.start_date }}</td>
                                <td>{{ task.due_date }}</td>
                                <td>{{ task.in_progress|yesno }}</td>
                                <td>{{ task.is_complete|yesno }}</td>
                            </tr>
                        {% endfor %}
                    </tbody>
                </table>
            {% else %}
                <p>This project has no tasks</p>
            {% endif %}
            <p>
                <a href="{% url 'create_task' %}"  class="btn btn-primary">Create a new task</a>
            </p>
        </div>
    </main>
{% endblock content %}
